The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Раздел полезных советов: Защита пакетов, установленных из оп..."
Вариант для распечатки  
Пред. тема | След. тема 
Форумы Разговоры, обсуждение новостей (Public)
Изначальное сообщение [ Отслеживать ]

"Раздел полезных советов: Защита пакетов, установленных из оп..."  +/
Сообщение от auto_tips on 03-Ноя-09, 11:21 
Для того, чтобы гарантировать, что пакеты, установленные в CentOS / RHEL из определенного внешнего Yum-репозитория не будут переустановлены/обновлены при появлении более новых версий подобных пакетов в других репозиториях можно использовать плагин yum-protectbase.

Устанавливаем плагин:

   yum install yum-protectbase

Активируем плагин, добавив в /etc/yum/pluginconf.d/protectbase.conf

   [main]
   enabled = 1

Находим репозиторий, который нужно защитить в директории /etc/yum.repos.d и добавляем в конфигурацию опцию

   protect = 1

Например, для репозитория epel в файле /etc/yum.repos.d/epel.repo меняем:

   [epel]
   name=Extra Packages for Enterprise Linux 5 - $basearch
   #baseurl=http://download.fedoraproject.org/pub/epel/5/$basearch
   mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=epel- 5&arch=$basearch
   failovermethod=priority
   enabled=1
   gpgcheck=1
   gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL
   protect = 1

URL: http://www.cyberciti.biz/faq/rhel-centos-fedora-yum-protect-.../
Обсуждается: http://www.opennet.ru/tips/info/2207.shtml

Высказать мнение | Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Защита пакетов, установленных из определенного Yum репозитор..."  +/
Сообщение от аноним on 03-Ноя-09, 11:21 
бред какой-то, а что по умолчанию оно автоматом обновляется?
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

2. "Защита пакетов, установленных из определенного Yum репозитор..."  +/
Сообщение от Аноним (??) on 03-Ноя-09, 11:58 
>бред какой-то, а что по умолчанию оно автоматом обновляется?

Там про ситуацию, когда один пакет  одновременно доступен в нескольких репозиториях, но использовать нужно только из одного, даже если во втором вышла более новая версия.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

3. "Защита пакетов, установленных из определенного Yum репозитор..."  –1 +/
Сообщение от Serg (??) on 03-Ноя-09, 15:11 
именно так. У меня в CentOS было такое с postfix - обновление полезно из другого репозитория
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

4. "Защита пакетов, установленных из определенного Yum репозитор"  +/
Сообщение от fi (ok) on 08-Ноя-09, 15:13 
вещь нужная, но не решает всех проблем - вот на днях одна из либ в dag-e обновилась, а те которые ее требует - по прежнему со старой слинкованны.

а есть проги которые требуют разные либы!!!  одну с epel, другую с  dag :)

нужно делать таг в rpm - "либа" - чтоб несколько ставилось без конфликтно.


Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру